Package org.h2gis.functions.spatial.properties

# Class ST_NumInteriorRings

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_NumInteriorRings

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

Direct Known Subclasses:
  `ST_NumInteriorRing`

public class ST_NumInteriorRings extends org.h2gis.api.DeterministicScalarFunction
Return the number of holes in a geometry

Author:
  Nicolas Fortin

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_NumInteriorRings()`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`static Integer`
`getHoles(org.locationtech.jts.geom.Geometry g)`
Return the number of holes in a Polygon or MultiPolygon
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_NumInteriorRings

public ST_NumInteriorRings()
Default constructor

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getHoles

public static Integer getHoles(org.locationtech.jts.geom.Geometry g)
Return the number of holes in a Polygon or MultiPolygon

Parameters:
  `g` - Geometry instance
Returns:
  Number of holes or null if geometry is null